Bug 909788 - Add support for AArch64
Summary: Add support for AArch64
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-11 02:47 UTC by Mark Salter
Modified: 2013-05-03 02:45 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-03 02:45:45 UTC


Attachments (Terms of Use)
Add optflags for AArch64 (477 bytes, patch)
2013-02-11 02:47 UTC, Mark Salter
no flags Details | Diff

Description Mark Salter 2013-02-11 02:47:55 UTC
Created attachment 695967 [details]
Add optflags for AArch64

Description of problem:

Attached patch adds optflags for AArch64 architecture. This includes -fno-stack-protector which is needed to override the -fstack-protector in the __global_cflags macro. AArch64 currently lacks support for this feature.

Version-Release number of selected component (if applicable):

redhat-rpm-config-9.1.0-38

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora End Of Life 2013-04-03 17:06:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Panu Matilainen 2013-04-23 04:42:20 UTC
Added in rawhide now (redhat-rpm-config-9.1.0-43.fc20). Do you additionally need this in F19 too or is rawhide sufficient?

Comment 3 Mark Salter 2013-04-23 12:15:30 UTC
Yes, f19 also please.

Comment 4 Fedora Update System 2013-04-24 13:26:06 UTC
redhat-rpm-config-9.1.0-43.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/redhat-rpm-config-9.1.0-43.fc19

Comment 5 Fedora Update System 2013-04-24 16:36:51 UTC
Package redhat-rpm-config-9.1.0-43.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redhat-rpm-config-9.1.0-43.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6496/redhat-rpm-config-9.1.0-43.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-05-03 02:45:47 UTC
redhat-rpm-config-9.1.0-43.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.